package com.sa.ibiz.demo.demoapp.controller.demo.vo;

import java.sql.Timestamp;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import com.sa.ibiz.demo.demo.service.dto.UserRoleSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.util.StringUtils;
import java.util.Map;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class UserRole_SearchForm_Default{

    private Map<String,String> srfparentdata;

    private String n_userrolename_like;
    private String n_userroletype_eq;
    private Page page;
    private Page getPage(){
        if(this.page==null)
            this.page=new Page(1,20,true);
        return this.page;
    }

    public  void fromUserRoleSearchFilter(UserRoleSearchFilter sourceSearchFilter)  {
        this.setN_userrolename_like(sourceSearchFilter.getN_userrolename_like());
        this.setN_userroletype_eq(sourceSearchFilter.getN_userroletype_eq());
        this.setPage(sourceSearchFilter.getPage());
	}
    public  UserRoleSearchFilter toUserRoleSearchFilter()  {
        UserRoleSearchFilter targetSearchFilter=new UserRoleSearchFilter();
        if(targetSearchFilter.getN_userrolename_like()==null)
            targetSearchFilter.setN_userrolename_like(this.getN_userrolename_like());
        if(targetSearchFilter.getN_userroletype_eq()==null)
            targetSearchFilter.setN_userroletype_eq(this.getN_userroletype_eq());
        targetSearchFilter.setPage(this.getPage());
        return targetSearchFilter;
	}


}